3 Replies Latest reply: Jan 11, 2013 1:35 PM by Niel
amyspark Level 1 Level 1 (0 points)

howdo i download appsontomy ipod touch when it says apps require ios 4.0?